﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using FarPoint.Win.Spread;

namespace FarpointSpannedCellsPrint
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      string s = "These cells are spanned.";
      s += Environment.NewLine + "When I print or preview this sheet, this area gets divided. One part on page 1, the other on page 2.";
      s += Environment.NewLine + "I want the whole area on page 2 if there's not enough place on page 1.";
      fpSpread1.ActiveSheet.Cells[0, 10].Text = s;      
      fpSpread1.ActiveSheet.AddSpanCell(0, 10, 2, 9);
    }

    private void button1_Click(object sender, EventArgs e)
    {
      PrintInfo pinfo = new PrintInfo();
      pinfo.PrintType = FarPoint.Win.Spread.PrintType.All;
      pinfo.Preview = true;
      pinfo.Orientation = PrintOrientation.Portrait;
      fpSpread1.ActiveSheet.PrintInfo = pinfo;
      fpSpread1.PrintSheet(0);
    }
  }
}
